
Redmine - Feature #1919

Separate permissions for changing assigned-to, % finished and target version

2008-09-18 09:36 - Finn Gruwier Larsen

Status: Closed Start date: 2008-09-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Currently, access to these fields is controlled through the status workflow permissions. It would be better if they had there own

permissions in order to get more fine-grained control over user permissions. My actual problem is that I want to create a "customer"

role that should be able to make some status transitions (f. ex. open > closed), but customers should not be able to change

assigned-to, % finished and target version.

Related issues:

Related to Redmine - Feature #703: Configurable required fields per tracker/s... Closed 2008-02-21

Related to Redmine - Feature #1360: Permission for adding an issue to a version. Closed 2008-06-03

Related to Redmine - Feature #9421: Prevent attribute changes once an issue i... Closed 2011-10-13

Has duplicate Redmine - Defect #7729: User with only issue view and add note ... Closed 2011-02-26

Is duplicate of Redmine - Feature #3521: Permissions for roles to change fiel... Closed 2009-06-22

History

#1 - 2009-03-06 06:41 - Mike D. Smith

+1

I would very much like to restrict the same fields for a reporter role.

#2 - 2009-07-30 17:42 - Paulo Aguiar

+1

Another one interested in such a feature

#3 - 2010-05-03 15:41 - Tomáš Řihošek

+1

would be useful for custom fields too.

#4 - 2010-05-03 15:41 - Tomáš Řihošek

- % Done changed from 0 to 90

see ;)

#5 - 2010-05-03 15:42 - Tomáš Řihošek

- % Done changed from 90 to 0

#6 - 2010-08-11 12:23 - Nicole Dumfart

++

I think it should be possible to restrict every field to the roles.

Also custom fields...

#7 - 2010-08-11 23:25 - Mischa The Evil

Added relation to issue #703 (and thus its related issues).

#8 - 2010-09-02 16:07 - Toggi Muppet

This is a "must have"....

#9 - 2010-10-15 16:58 - Assis Calazans
I have the same problem related by Gruwier. My costumers have an area to add tickets in a especific workflow.

Still waiting for this feature.

#10 - 2011-03-03 16:03 - Etienne Massip

- Target version set to Candidate for next major release

#11 - 2011-04-07 17:53 - Albert  M

+1

#12 - 2011-05-05 11:11 - Giovani Spagnolo

+1

we also use "customer/partner" roles and something we'd like to do is to hide "estimated time" and "time spent" fields from them.

it could be somehow configurable which fields (including custom fields) are visible by roles.

#13 - 2011-07-17 23:56 - Terence Mill

covered by #8050

#14 - 2012-01-06 18:11 - Justin Mayer

This issue is very narrowly-focused and discrete, which I think makes it a great candidate for near-term implementation. Judging by the number of

related (and still open) issues, plus the number of comments posted to those issues, the demand for this functionality is overwhelmingly large:

#703: refers to required fields, which isn't really related to permissions

#3090: duplicate

#5011: duplicate

#5037: makes reference to custom fields, which is larger in scope than limits placed on built-in fields

#8050: would address this issue, but is much larger in scope

As a product manager, I'm a big fan of prioritizing small, discrete features that can have a big impact, and this issue certainly seems to fit that

description. Please consider this my strident vote for incorporating this feature in the next release.

#15 - 2012-04-18 10:36 - Александр Закревский

+100500

Much insterested in! My Customers/Reporters must not have the right to assign or reassign issues as this misleads my side developers. In my

situation only project managers have the authority to do that. Used side plugin to handle the situation, but it blocks major version updates due to

incompatibility.

#16 - 2012-05-10 12:00 - Christopher Proud

+1

#17 - 2012-05-11 17:21 - Eric Strennen

+1000

#18 - 2012-05-15 21:39 - Eric Strennen

BTW, I deployed the Field Permissions plugin by Romain Silva and it addresses most of this issue. Per role, you can enable/disable access to

Assignee, Target Version, Estimated Time and Due Date. Definitely a step in the right direction.

#19 - 2012-05-15 23:14 - Александр Закревский

Eric Strennen wrote:

BTW, I deployed the Field Permissions plugin by Romain Silva and it addresses most of this issue. Per role, you can enable/disable access to

Assignee, Target Version, Estimated Time and Due Date. Definitely a step in the right direction.

 Me too, but it worked only for 1.3.x. After upgrade to 1.4.x I faced troubles running this plugin, so I had to roll back.

#20 - 2012-07-15 18:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate

Implemented as part of #3521 for 2.1.0.
